<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DoUpdateRemoteClusterRes StructType
 * @subpackage Structs
 */
class DoUpdateRemoteClusterRes extends APIResponse
{
    /**
     * The value
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 32
     * @var string
     */
    public $value;
    /**
     * Constructor method for DoUpdateRemoteClusterRes
     * @uses DoUpdateRemoteClusterRes::setValue()
     * @param string $value
     */
    public function __construct($value = null)
    {
        $this
            ->setValue($value);
    }
    /**
     * Get value value
     * @return string|null
     */
    public function getValue()
    {
        return $this->value;
    }
    /**
     * Set value value
     * @param string $value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\DoUpdateRemoteClusterRes
     */
    public function setValue($value = null)
    {
        $this->value = $value;
        return $this;
    }
}
